void myrfluka() {
  // ----------------------------------------------------------------------
  // Open the Fluka file
  // ----------------------------------------------------------------------
  ifstream ffluka;
  char filename[] = "barrel001_fort.31";
  ffluka.open(filename, ios::in);
/// ben ekledim ///
  FILE *yaz;
  yaz=fopen("ecall.txt","w");
//// buraya kadar ///
  if (ffluka.fail()) {
    printf("ReadFluka: Could not open Fluka file %s for reading, the file perhaps does not exist.\n", filename);
    return;
  }

  // Create a histogram for the energy deposition
  TH1F* hedep = new TH1F("hedep", "Energy deposition", 8800, 0, 8800);
  TH1F* hesum = new TH1F("hesum", "Energy sum", 100, 0, 40);

  // Loop over the contents until we find the word "Binning"
  char line[200]; char label[200]; char bintype[200]; char dummy[200];
  float b1, b2, b3, b4, b5, b6, b7, b8, b9, b10, sum;
  int eventno, errors=0;
  while (ffluka.getline(line, 200, '\n')) {
    float sum = 0.0;
    int rc = sscanf(line, "%s %*s %*s \"%s %*s %*s %*s %d", label, bintype, &eventno); 
  if (!rc) {errors++;}
//        fprintf(yaz,"%*s", eventno );
    // Read an "event" type block
    if(strcmp(label, "Binning") == 0 && strcmp(bintype, "event") == 0) {
//            printf("Found Binning, type: %s, number: |%d| (%s)\n", bintype, eventno, line);
      // Preset the histogram
      //      for (int i=0; i<202; i++) {hedep->SetBinContent(i,0);}
      // Read the matrix
      for (int i=0; i<880; i++) {
	ffluka.getline(line, 200, '\n');
	int rc = sscanf(line, "%f %f %f %f %f %f %f %f %f %f", &b1, &b2, &b3, &b4, &b5, &b6, &b7, &b8, &b9, &b10);
     if (!rc) {errors++;}
//	 printf("i = %d", i);
       fprintf(yaz,"%f %f %f %f %f %f %f %f %f %f\n", b1, b2, b3, b4, b5, b6, b7, b8, b9, b10);
	hedep->AddBinContent(i*10+ 1, b1);
	hedep->AddBinContent(i*10+ 2, b2);
	hedep->AddBinContent(i*10+ 3, b3);
	hedep->AddBinContent(i*10+ 4, b4);
	hedep->AddBinContent(i*10+ 5, b5);
	hedep->AddBinContent(i*10+ 6, b6);
	hedep->AddBinContent(i*10+ 7, b7);
	hedep->AddBinContent(i*10+ 8, b8);
	hedep->AddBinContent(i*10+ 9, b9);
	hedep->AddBinContent(i*10+10, b10);
//        sum = b1+b2+b3+b4+b5+b6+b7+b8+b9+b10;
        sum += b1+b2+b3+b4+b5+b6+b7+b8+b9+b10;
//        printf("summm: %f\n", sum);
//        fprintf(yaz,"%f \n", sum);
      }
      // Skip to the 10 additional values
//      ffluka.getline(line, 200, '\n');
//      ffluka.getline(line, 200, '\n');
//      ffluka.getline(line, 200, '\n');
      // Read the 2 additional lines
//      ffluka.getline(line, 200, '\n');
//      int rc = sscanf(line, "%f %f %f %f %f %f %f %f %f %f", &e1, &e2, &e3, &e4, &e5, &e6, &e7, &e8, &e9, &e10); if (!rc) {errors++;}
//      ffluka.getline(line, 200, '\n');
//      int rc = sscanf(line, "%f %f %f %f %f %f %f %f %f %f", &e11, &e12, &e13, &e14, &e15, &e16, &e17, &e18, &e19, &e20); if (!rc) {errors++;}
//      ffluka.getline(line, 200, '\n');
//      hedep->AddBinContent(190+ 1, e1);
//      hedep->AddBinContent(190+ 2, e2);
//      hedep->AddBinContent(190+ 3, e3);
//      hedep->AddBinContent(190+ 4, e4);
//      hedep->AddBinContent(190+ 5, e5);
//      hedep->AddBinContent(190+ 6, e6);
//      hedep->AddBinContent(190+ 7, e7);
//      hedep->AddBinContent(190+ 8, e8);
//      hedep->AddBinContent(190+ 9, e9);
//      hedep->AddBinContent(190+10, e10);
//      sum += b1+b2+b3+b4+b5+b6+b7+b8+b9+b10;
      // Enter the total energy deposition
      hesum->Fill(sum);
     ffluka.getline(line, 200, '\n');
    }
  }
  // Plot the event
  TCanvas* cedep = new TCanvas("cedep", "Event energy deposition", 520, 0, 500, 500); cedep->cd();
  hedep->Draw();
  hedep->GetXaxis()->SetTitle("Energy deposit [GeV]");
  hedep->GetYaxis()->SetTitle("Events");
  cedep->Update();

  // Plot the energy sum
  TCanvas* cesum = new TCanvas("cesum", "Total energy deposition", 0,  0,  500, 500); cesum->cd();
  hesum->Draw();
  hesum->GetXaxis()->SetTitle("Energy deposit [GeV]");
  hesum->GetYaxis()->SetTitle("Events");
  cesum->Update();

  // Close the file
  ffluka.close();
///// ben ekledim ////
  fclose(yaz);
///// buraya kadar ////
}
